Subject: Re: Opening COM2
From: [email-masked] (Fergus Henderson)

4 Apr 1997 04:48:16 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Bob Wilson)
Original-Cc: [email-masked] (gnu-win32)
In-Reply-To: <[email-masked]> from "Bob Wilson" at Apr 3, 97 03:02:58 pm
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Bob Wilson, you wrote:
> 
> I have a program which ran correctly when compiled on a gnu-win32
> package from about a year ago, but is failing when compiled with 17.1
> beta.  The machine is running NT 3.51 and COM2 is connected to a
> microprocessor with only td, rd and ground connected.  The open:
> 
>         if ((comfd = open("com2", O_RDWR | O_TEXT)) <= 0) {
>             fprintf(stderr, "Cmd: Unable to open terminal\n");
>             exit(1);
>         }
> 
> hangs.  It doesn't help to tie the modem control lines high, but if I
> generate a few characters on the rd line, the open completes.  In no
> case is there an error return.

My guess is that this is due to the symbolic link handling.
When you open a file, cygwin will read the first few bytes
of the file to see if it has the special marker that is used
to indicate a symbolic link; if so, then cygwin will open the
file that the link points to.  Obviously this won't work
correctly in the case of device files such as `com2'...

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".